<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<xsd:include schemaLocation="config.xsd"></xsd:include>

	<xsd:element name="AgentControllerConfiguration" type="AgentControllerConfigurationType"></xsd:element>

	<xsd:complexType name="AgentControllerConfigurationType">
		<xsd:sequence>
			<xsd:element name="AgentControllerEnvironment" minOccurs="1" maxOccurs="1" type="AgentControllerEnvironmentType"></xsd:element>
			<xsd:element name="Application" type="ApplicationType" minOccurs="0" maxOccurs="unbounded"></xsd:element>
			<xsd:element name="Hosts" type="HostsType" minOccurs="0" maxOccurs="unbounded"></xsd:element>
			<xsd:element name="Service" type="ServiceType" minOccurs="0" maxOccurs="unbounded"></xsd:element>
			<xsd:element name="Agent" type="AgentType" minOccurs="0" maxOccurs="unbounded"></xsd:element>
			<xsd:element name="Option" type="OptionType" minOccurs="0" maxOccurs="unbounded"></xsd:element>
			<xsd:element name="Security" type="SecurityType" minOccurs="0" maxOccurs="1"></xsd:element>
			<xsd:element name="Plugin" type="PluginType" minOccurs="0" maxOccurs="1"></xsd:element>
		</xsd:sequence>
		<xsd:attribute name="activeConfiguration" type="xsd:string" use="optional"></xsd:attribute>
		<xsd:attribute name="version" type="xsd:string" use="optional"></xsd:attribute>
		<xsd:attribute name="port" type="xsd:unsignedInt" use="optional"></xsd:attribute>
		<xsd:attribute name="securePort" type="xsd:unsignedInt" use="optional"></xsd:attribute>
		<xsd:attribute name="loggingLevel" default="SEVERE" type="loggingLevelType"></xsd:attribute>
		<xsd:attribute name="loggingDetail" default="LOW" type="loggingDetailType"></xsd:attribute>
		<xsd:attribute name="loggingDirectory" type="xsd:string" use="optional"></xsd:attribute>
		<xsd:attribute name="jvm" type="xsd:string" use="optional"></xsd:attribute>
	</xsd:complexType>

</xsd:schema>
